<?php

/** @var \Illuminate\Database\Eloquent\Factory $factory */

use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Domain\Field\Models\Field;

$factory->define(Delegate::class, static function () {
    return [];
});

$factory->state(Delegate::class, 'default-data', static function () {
    return [];
});

$factory->afterCreatingState(Delegate::class, 'default-data', static function ($delegate): void {
    $section = factory(Field::class)
        ->state('Section')
        ->create([
            'model_id' => $delegate->id,
            'model_type' => get_class($delegate),
        ]);

    factory(Field::class)
        ->states('TextInput')
        ->create([
            'model_id' => $delegate->id,
            'model_type' => get_class($delegate),
            'section_id' => $section->id,
            'label' => 'First name',
            'name' => 'first_name',
        ]);

    factory(Field::class)
        ->states('TextInput')
        ->create([
            'model_id' => $delegate->id,
            'model_type' => get_class($delegate),
            'section_id' => $section->id,
            'label' => 'Last name',
            'name' => 'last_name',
        ]);

    factory(Field::class)
        ->states('TextInput')
        ->create([
            'model_id' => $delegate->id,
            'model_type' => get_class($delegate),
            'section_id' => $section->id,
            'label' => 'Profession',
            'name' => 'profession',
        ]);

    factory(Field::class)
        ->states('Select')
        ->create([
            'model_id' => $delegate->id,
            'model_type' => get_class($delegate),
            'section_id' => $section->id,
            'label' => 'User Status',
            'name' => 'status',
            'data' => [
                'options' => [
                    [
                        'label' => 'Added',
                        'value' => 'added',
                    ],
                ],
            ],
        ]);
});
