<?php

use EventPortal\Domain\Delegate\Models\Delegate;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEventUserTable extends Migration
{
    public function up(): void
    {
        Schema::create('event_user', function (Blueprint $table): void {
            $table->unsignedInteger('user_id');
            $table->unsignedInteger('event_id');
            $table->string('status')->default(Delegate::STATUS_ADDED);

            $table->foreign('user_id')->on('users')->references('id');
            $table->foreign('event_id')->on('events')->references('id');

            $table->timestamps();
        });
    }
}
