<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\ButtonDropdown;
use EventPortal\Domain\Component\Input\Text;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Enums\InertiaMethod;

Table::make('archived-event.index')
    ->addAvailableColumns(function () {
        return [
            Text::make('Event name')->name('name'),
            Text::make('Event type')->name('type'),
        ];
    })
    ->addRowAction(function (Event $event) {
        return ButtonDropdown::make('Manage delegate')
            ->actions([
                Button::make('Unarchive')
                    ->method(InertiaMethod::POST())
                    ->route('admin.event.transition', [
                        'event' => $event->id,
                        'type' => 'unpublish',
                    ]),
            ]);
    });
