<?php

namespace EventPortal\Tests\Feature\Admin\Event;

use EventPortal\Domain\Component\Display;
use EventPortal\Domain\Component\Section;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Form\Facades\Form;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Spatie\Snapshots\MatchesSnapshots;

class EventShowTest extends TestCase
{
    use DatabaseMigrations, MatchesSnapshots;

    /** @test */
    public function can_view_event()
    {
        $event = factory(Event::class)->create(['name' => 'Hello World!']);

        Form::make('event.edit')
            ->addFields(function () {
                return [
                    Section::make('Key details')->fields([
                        Display::make('name'),
                    ]),
                ];
            });

        $this->assertMatchesJsonSnapshot(
            $this->get(route('admin.event.show', $event))->props()
        );
    }
}
